.686P ; Tell the compiler to use 686 instructions
.MODEL FLAT, stdcall ; Specify Memory Model (Flat is the only one for Win32)
                     ;   and the calling convention.

INCLUDELIB OLDNAMES
INCLUDELIB LIBCMT

.data ; List all your variables here
MsgBoxTitle db "Title",0 ; Escape characters don't work. You must specify NULL
MsgBoxText  db "Text", 0 ; Add additional things to the strings with commas

  ; Followed by the external functions
EXTRN MessageBoxA@16:PROC
EXTRN GetAsyncKeyState@4:PROC
EXTRN Sleep@4:PROC

.code ; Star of code section
main: ; Function Name, followed by a colon
  push  ebp
  mov ebp, esp
  push  1000
  call  Sleep@4
  push  90
  call  GetAsyncKeyState@4
  call  _WaitForInput
  xor eax, eax
  pop ebp
  ret 0

  ; Sample Funciton

_WaitForInput PROC
  push  ebp
  mov ebp, esp
$LN2@WaitForInp:
  push  90
  call  GetAsyncKeyState@4
  cwde
  test  eax, eax
  jne SHORT $LN3@WaitForInp
  push  10
  call  Sleep@4
  jmp SHORT $LN2@WaitForInp
$LN3@WaitForInp:
  call tdest
  pop ebp
  ret 0
_WaitForInput ENDP

tdest proc
  push 1 ;MB_OK_CANCLE
  push offset MsgBoxTitle
  push offset MsgBoxText
  push 0 ;Pointer to the window that owns the message box

  call MessageBoxA@16
    ;return value: in EAX resides a value
    ;indicating which button was clicked on
  ret
tdest endp

END main
